Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.expression.support
Class LiteralExpression

    java.lang.Object
      org.springframework.binding.expression.support.LiteralExpression

All Implemented Interfaces:
  Expression

    public class LiteralExpression

extends java.lang.Object
implements Expression

Constructor Summary
`LiteralExpression(java.lang.String literal)` Create a literal expression for the given literal.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getExpressionString()` Returns the original string used to create this expression, unmodified.
`java.lang.Object` | `getValue(java.lang.Object context)` Evaluate this expression in the provided context and return the result of evaluation.
`java.lang.Class` | `getValueType(java.lang.Object context)` Returns the most general type that can be passed to the `Expression.setValue(Object, Object)` method for the given context.
`int` | `hashCode()`
`void` | `setValue(java.lang.Object context, java.lang.Object value)` Set this expression in the provided context to the value provided.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LiteralExpression

    public LiteralExpression(java.lang.String literal)

  Create a literal expression for the given literal.

  Parameters:
    `literal` - the literal

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getValue

    public java.lang.Object getValue(java.lang.Object context)
                              throws EvaluationException

  Description copied from interface: `Expression`
  Evaluate this expression in the provided context and return the result of evaluation.

  Specified by:
    `getValue` in interface `Expression`
  Parameters:
    `context` - the context to evaluate this expression in
  Returns:
    the evaluation result
  Throws:
    `EvaluationException` - an exception occurred during expression evaluation

### setValue

    public void setValue(java.lang.Object context,
                         java.lang.Object value)
                  throws EvaluationException

  Description copied from interface: `Expression`
  Set this expression in the provided context to the value provided.

  Specified by:
    `setValue` in interface `Expression`
  Parameters:
    `context` - the context on which the new value should be set
    `value` - the new value to set
  Throws:
    `EvaluationException` - an exception occurred during expression evaluation

### getValueType

    public java.lang.Class getValueType(java.lang.Object context)

  Description copied from interface: `Expression`
  Returns the most general type that can be passed to the `Expression.setValue(Object, Object)` method for the given context.

  Specified by:
    `getValueType` in interface `Expression`
  Parameters:
    `context` - the context to evaluate
  Returns:
    the most general type of value that can be set on this context, or `null` if the type information cannot be determined

### getExpressionString

    public java.lang.String getExpressionString()

  Description copied from interface: `Expression`
  Returns the original string used to create this expression, unmodified.

  Specified by:
    `getExpressionString` in interface `Expression`
  Returns:
    the original expression string

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD